<?xml version='1.0' encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>

  <xsl:param name="latex.encoding">utf8</xsl:param>
  <xsl:param name="latex.class.options">10pt,onecolumn</xsl:param>
  <xsl:param name="xetex.font">
   <xsl:choose>
    <xsl:when test="contains(/article/@lang,'ja')">
	<xsl:text>\usepackage{xeCJK}&#10;</xsl:text>
	<xsl:text>\setCJKmainfont{IPAPGothic}&#10;</xsl:text>
	<xsl:text>\setCJKsansfont{IPAPMincho}&#10;</xsl:text>
	<xsl:text>\setCJKmonofont{IPAexGothic}&#10;</xsl:text>
	<xsl:text>\setmainfont{IPAPGothic}&#10;</xsl:text>
	<xsl:text>\setsansfont{IPAPMincho}&#10;</xsl:text>
	<xsl:text>\setmonofont{IPAexGothic}&#10;</xsl:text>
    </xsl:when>
   </xsl:choose>
  </xsl:param>

</xsl:stylesheet>
